package com.ruoyi.app.service;

import com.ruoyi.app.DTO.EntranceReportDTO;
import com.ruoyi.app.DTO.SlaughterReportDTO;
import com.ruoyi.app.domain.request.ReqEntranceReport;
import com.ruoyi.app.domain.request.ReqSlaughterReport;

import java.util.List;

/**
 * 数据报表Service接口
 *
 * @author coede
 * @date 2025-03-28
 */
public interface IDataReportService {
    /**
     * 入场统计报表
     * @return 结果
     */
    List<EntranceReportDTO> selectEntranceReport(ReqEntranceReport reqEntranceReport);

    /**
     * 生产统计报表
     * @return 结果
     */
    List<SlaughterReportDTO> selectSlaughterReport(ReqSlaughterReport reqSlaughterReport);
}
